# \DatacenterApi

All URIs are relative to *https://localhost:49618/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DatacenterControllerCreateDatacenter**](DatacenterApi.md#DatacenterControllerCreateDatacenter) | **Post** /datacenter/ | 
[**DatacenterControllerGetMultipleDatacentersByIDs**](DatacenterApi.md#DatacenterControllerGetMultipleDatacentersByIDs) | **Get** /datacenter/multi/{IDs} | 
[**DatacenterControllerGetOneDatacenter**](DatacenterApi.md#DatacenterControllerGetOneDatacenter) | **Get** /datacenter/{ID} | 


# **DatacenterControllerCreateDatacenter**
> DatacenterControllerCreateDatacenter(ctx, body)


submit Datacenter object

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **body** | [**ModelsDatacenterNewModel**](ModelsDatacenterNewModel.md)| The object content | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DatacenterControllerGetMultipleDatacentersByIDs**
> []ModelsComputingModel DatacenterControllerGetMultipleDatacentersByIDs(ctx, iDs)


Return Datacenter objects if found in the DB. Not found IDs will be ignored

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **iDs** | [**[]string**](string.md)| List of datacenter IDs | 

### Return type

[**[]ModelsComputingModel**](models.ComputingModel.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DatacenterControllerGetOneDatacenter**
> ModelsDatacenterModel DatacenterControllerGetOneDatacenter(ctx, iD)


find datacenter by ID

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **iD** | **string**| the ID you want to get | 

### Return type

[**ModelsDatacenterModel**](models.DatacenterModel.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

