package conf

import "sync"

type Config struct {
	MongoURL string
	DCNAME string
	DBPOINT string
}

var instance *Config
var once sync.Once

func GetConfig() *Config {
	once.Do(func() {
		instance = &Config{}
	})
	return instance
}
